Get tool executions

Get paginated list of tool executions for a specific tool.

Path parameters

tool_idstringRequired
ID of the requested tool.

Headers

xi-api-keystringOptional

Query parameters

cursorstringOptional
Used for fetching next page. Cursor is returned in the response.
page_sizeintegerOptional1-100Defaults to 30
How many documents to return at maximum. Can not exceed 100, defaults to 30.
is_errorbooleanOptional
Filter by error status. If not provided, returns all executions.
agent_idstringOptional
Filter by agent ID.
branch_idstringOptional
Filter by agent branch ID.
start_timedoubleOptional

Filter executions from this Unix timestamp (inclusive).

end_timedoubleOptional

Filter executions until this Unix timestamp (inclusive).

Response

Successful Response
executionslist of objects
has_moreboolean
next_cursorstring

Errors

422
Executions Get Request Unprocessable Entity Error